Title: WP_REST_Block_Directory_Controller::get_collection_params
Published: August 11, 2020
Last modified: May 20, 2026

---

# WP_REST_Block_Directory_Controller::get_collection_params(): array

## In this article

 * [Return](https://developer.wordpress.org/reference/classes/wp_rest_block_directory_controller/get_collection_params/?output_format=md#return)
 * [Source](https://developer.wordpress.org/reference/classes/wp_rest_block_directory_controller/get_collection_params/?output_format=md#source)
 * [Hooks](https://developer.wordpress.org/reference/classes/wp_rest_block_directory_controller/get_collection_params/?output_format=md#hooks)
 * [Related](https://developer.wordpress.org/reference/classes/wp_rest_block_directory_controller/get_collection_params/?output_format=md#related)
 * [Changelog](https://developer.wordpress.org/reference/classes/wp_rest_block_directory_controller/get_collection_params/?output_format=md#changelog)

[ Back to top](https://developer.wordpress.org/reference/classes/wp_rest_block_directory_controller/get_collection_params/?output_format=md#wp--skip-link--target)

Retrieves the search params for the blocks collection.

## 󠀁[Return](https://developer.wordpress.org/reference/classes/wp_rest_block_directory_controller/get_collection_params/?output_format=md#return)󠁿

 array Collection parameters.

## 󠀁[Source](https://developer.wordpress.org/reference/classes/wp_rest_block_directory_controller/get_collection_params/?output_format=md#source)󠁿

    ```php
    public function get_collection_params() {
    	$query_params = parent::get_collection_params();

    	$query_params['context']['default'] = 'view';

    	$query_params['term'] = array(
    		'description' => __( 'Limit result set to blocks matching the search term.' ),
    		'type'        => 'string',
    		'required'    => true,
    		'minLength'   => 1,
    	);

    	unset( $query_params['search'] );

    	/**
    	 * Filters REST API collection parameters for the block directory controller.
    	 *
    	 * @since 5.5.0
    	 *
    	 * @param array $query_params JSON Schema-formatted collection parameters.
    	 */
    	return apply_filters( 'rest_block_directory_collection_params', $query_params );
    }
    ```

[View all references](https://developer.wordpress.org/reference/files/wp-includes/rest-api/endpoints/class-wp-rest-block-directory-controller.php/)
[View on Trac](https://core.trac.wordpress.org/browser/tags/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-block-directory-controller.php#L305)
[View on GitHub](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-block-directory-controller.php#L305-L327)

## 󠀁[Hooks](https://developer.wordpress.org/reference/classes/wp_rest_block_directory_controller/get_collection_params/?output_format=md#hooks)󠁿

 [apply_filters( ‘rest_block_directory_collection_params’, array $query_params )](https://developer.wordpress.org/reference/hooks/rest_block_directory_collection_params/)

Filters REST API collection parameters for the block directory controller.

## 󠀁[Related](https://developer.wordpress.org/reference/classes/wp_rest_block_directory_controller/get_collection_params/?output_format=md#related)󠁿

| Uses | Description | 
| [WP_REST_Controller::get_collection_params()](https://developer.wordpress.org/reference/classes/wp_rest_controller/get_collection_params/)`wp-includes/rest-api/endpoints/class-wp-rest-controller.php` |

Retrieves the query params for the collections.

  | 
| [__()](https://developer.wordpress.org/reference/functions/__/)`wp-includes/l10n.php` |

Retrieves the translation of $text.

  | 
| [apply_filters()](https://developer.wordpress.org/reference/functions/apply_filters/)`wp-includes/plugin.php` |

Calls the callback functions that have been added to a filter hook.

  |

[Show 1 more](https://developer.wordpress.org/reference/classes/wp_rest_block_directory_controller/get_collection_params/?output_format=md#)
[Show less](https://developer.wordpress.org/reference/classes/wp_rest_block_directory_controller/get_collection_params/?output_format=md#)

| Used by | Description | 
| [WP_REST_Block_Directory_Controller::register_routes()](https://developer.wordpress.org/reference/classes/wp_rest_block_directory_controller/register_routes/)`wp-includes/rest-api/endpoints/class-wp-rest-block-directory-controller.php` |

Registers the necessary REST API routes.

  |

## 󠀁[Changelog](https://developer.wordpress.org/reference/classes/wp_rest_block_directory_controller/get_collection_params/?output_format=md#changelog)󠁿

| Version | Description | 
| [5.5.0](https://developer.wordpress.org/reference/since/5.5.0/) | Introduced. |

## User Contributed Notes

You must [log in](https://login.wordpress.org/?redirect_to=https%3A%2F%2Fdeveloper.wordpress.org%2Freference%2Fclasses%2Fwp_rest_block_directory_controller%2Fget_collection_params%2F)
before being able to contribute a note or feedback.